Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007999ScribusStory Editor / Text Framespublic2009-05-01 18:132012-06-19 20:32
Reportermecirt 
Assigned Toale 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Platformx86-64OSlinuxOS Versionopensuse 11
Product Version1.3.5svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0007999: Text autoflow (patch implementing the feature attached)
DescriptionThis is not a bug report/fix, but an implementation of a text autoflow feature. In particular, this does two things:
When using the frame linking tool and choosing an empty area instead of the target frame, it generates a new frame on that page and links the selected frame with it. This allows to easily expand text onto new pages.

When doing the same thing as above, but holding Shift while clicking, it creates the frame as above, and then it keeps going, creating more frames on subsequent pages until all the text fits in. If there aren't enough pages in the document, it automatically creates new pages as well.

This feature is important when type3setting books, so I hope that it can be included. It mimics a similar feature from other DTP applications.

It also most likely obsoletes the "Automatic Text Frames" option when creating documents - it can do the same thing, but offers greater flexibility (can have multiple text chains, chains can start on a page other than 1, etc).
TagsNo tags attached.
Patch
Attached Filespatch file icon scribus-autoflow.patch [^] (7,485 bytes) 2009-05-01 18:13 [Show Content]

- Relationships
related to 0010295closedcbradney [PATCH] further enhacement of frame linking tool 

-  Notes
(0021660)
cbradney (administrator)
2009-05-01 19:02
edited on: 2009-05-01 19:03

I am not sure we can include this at this late stage of 1.3.5.. we are really trying to close down changes to the absolute minimum and I do not think we have time left to test, however we can include in 1.3.6 (and don't fear, 1.3.6 is planned to be a lot lot shorter). Will have to see what the others say.

(0021904)
mecirt (reporter)
2009-06-08 15:54

Okay so, now that SVN trunk is 1.5.0, any updates on this ?
(0022232)
jghali (administrator)
2009-07-22 22:58

Updating target to 1.5.0 to not lose track of that one
(0022238)
victorp (reporter)
2009-07-27 13:31

I second the above. Pagemaker has a similar functionality and it is very useful when placing long texts into documents.
(0022267)
ale (manager)
2009-08-02 18:55

shift+click is already taken for creating a frame which expands to fill the page margin / guides surrounding.

i propose to adapt the patch to use the state of sticky tool instead of the shift key...

however, i know somebody who will love this patch!

thanks
a.l.e
(0022294)
mecirt (reporter)
2009-08-09 11:33

Shift-click in this context only works if you are auto-filling (so a different tool), thus I don't really see a problem with this. But, if a change like this desirable, I can indeed to that - by state of the sticky tool, I assume you mean something like adding a menu item determining whether the auto-fill will continue creating frames or not? That would work too, yes, although I find Shift-clicks easier to use (even if harder to discover, other such combinations suffer from a similar problem, and some text in the status bar or such would remedy that).
(0022631)
ale (manager)
2009-10-07 16:43

hi mecirt,

i would use the normal setting for sticky tool (insert > sticky tool; i think that i will post a bug report to fix this: the chain tool is the only one that doesn't respect the general stickyness!).

imho, it is important to keep shift+click as the shortcut for autofill an area.
(0022790)
brunod (reporter)
2009-11-03 10:24
edited on: 2009-11-03 10:26

If you use shift-click while creating a frame to autofill, i 'd really like that the shift-click on an existing frame force it to became square like it was before. And keep ctrl-click to keep the proportion of the frame while changing it's size.
Could it be possible to make a different behaviour between "holding shift, the mouse drawing start and end click" and "mouse drawing start, holding shift, mouse drawing end" sequences ? So having one for auto-fill, the other for square shaped.
Btw, to be consistent, the behaviour of shift-click for auto-fill should be applied for the insert table button too.

(0028177)
ale (manager)
2012-06-18 07:57

most of this patch has been integrated into 1.5 through cezary's patch.

also ctrl is now used to force the form to be a square.

i'll close this bug and open a new one for the sticky part.
(0028178)
ale (manager)
2012-06-18 08:00

it's a pity that this patch has been laying around for so long...
however, it has been reimplemented by cezary and committed in 1.5svn

- Issue History
Date Modified Username Field Change
2009-05-01 18:13 mecirt New Issue
2009-05-01 18:13 mecirt File Added: scribus-autoflow.patch
2009-05-01 19:02 cbradney Note Added: 0021660
2009-05-01 19:03 cbradney Note Edited: 0021660
2009-06-08 15:54 mecirt Note Added: 0021904
2009-07-22 22:58 jghali Note Added: 0022232
2009-07-22 22:58 jghali Target Version => 1.5.0
2009-07-27 13:31 victorp Note Added: 0022238
2009-08-02 18:55 ale Note Added: 0022267
2009-08-09 11:33 mecirt Note Added: 0022294
2009-10-07 16:43 ale Note Added: 0022631
2009-11-03 10:24 brunod Note Added: 0022790
2009-11-03 10:26 brunod Note Edited: 0022790
2012-06-18 07:57 ale Note Added: 0028177
2012-06-18 07:59 ale Relationship added related to 0010295
2012-06-18 08:00 ale Note Added: 0028178
2012-06-18 08:00 ale Status new => resolved
2012-06-18 08:00 ale Fixed in Version => 1.5.0svn
2012-06-18 08:00 ale Resolution open => fixed
2012-06-18 08:00 ale Assigned To => ale
2012-06-19 20:32 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker